## python-ipaddr 2.2.0

=== debian/changelog ===
python-ipaddr (2.2.0-4) unstable; urgency=medium

  * Use python3-all in the autopkgtests.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 18 Apr 2020 14:43:18 -0700

python-ipaddr (2.2.0-3) unstable; urgency=medium

  [ Stefano Rivera ]
  * Reintroduce to unstable, to keep virtualenv working for python2.7.
  * Ship python3 modules, only. We need them as wheels for pip.
  * Declare Rules-Requires-Root: no
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Build with setuptools, for dirtbike.
  * Run autopkgtests will all Python 3 versions.
  * Convert copyright to machine-readable format.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Move source package lintian overrides to debian/source.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name,
    Repository, Repository-Browse.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 18 Apr 2020 09:41:40 -0700

python-ipaddr (2.2.0-2) unstable; urgency=medium

  [ Scott Kitterman ]
  * Run upstream tests as autopkgtest
  * Bump standards-version to 4.3.0 without further change
  * Add lintian override for python-foo-but-no-python3-foo since ipaddr is
    part of the standard library in python3 (as ipaddress)
  * Support nocheck in dh_auto_test override
  * Use pybuild as the buildsystem

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field

 -- Scott Kitterman <scott@kitterman.com>  Fri, 18 Jan 2019 12:57:31 -0500

python-ipaddr (2.2.0-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * New upstream release
    - Remove obsolete dh_installdocs override
    - Remove obsolete debian/python-ipaddr.docs
  * Update debian/watch to use pypi.debian.net
  * Update package long description to mention python-ipaddress
  * Bump compat and minimum debhelper version to 9
  * Drop minimum python version, satisfied in all releases
  * Update Homepage: field in debian/control to new location
  * Update upstream location in debian/copyright to new location
  * Update standards-version to 4.1.3 without further change
  * Switch to 3.0 (quilt) source package format

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

 -- Scott Kitterman <scott@kitterman.com>  Sat, 24 Feb 2018 20:12:46 -0500

python-ipaddr (2.1.11-2) unstable; urgency=low

  * Drop python3-ipaddr binary since ipaddr is incorporated in python3.3 and
    later as ipaddress and nothing in the archive needs python3-ipaddr
    - Remove binary from debian/control
    - Drop python3 build-depends and X-Python3-Version from debian/control
    - Simplify debian/rules to build for only python2.7
    - Remove python3-ipaddr.docs
  * Explicitly depend on dh-python to get the updated version

 -- Scott Kitterman <scott@kitterman.com>  Fri, 16 May 2014 21:44:51 -0400

python-ipaddr (2.1.11-1) unstable; urgency=medium

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Fix a typo in README.source.

  [ Scott Kitterman ]
  * New upstream release
  * Update debian/watch to check pypi, since tarballs are no longer published
    on Google code
  * Bump standards version to 3.9.5 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sat, 26 Apr 2014 11:29:54 -0400

python-ipaddr (2.1.10-1) unstable; urgency=low

   * New upstream release
   * Update clean rule to work with new release

 -- Scott Kitterman <scott@kitterman.com>  Fri, 10 Feb 2012 09:17:56 -0500

python-ipaddr (2.1.9-2) unstable; urgency=low

  * Rebuild for Python transition
  * Protect for loops in debian/rules with set -e
  * Drop Breaks: ${python:Breaks} since it is no longer used
  * Bump Standards-Version to 3.9.2 without further change

 -- Scott Kitterman <scott@kitterman.com>  Wed, 20 Apr 2011 00:40:45 -0400

python-ipaddr (2.1.9-1) unstable; urgency=low

  * New upstream release
  * Install RELEASENOTES as changelog instead
    - Replace docs with python-ipaddr.docs and python3-ipaddr.docs
  * Override dh_auto_clean to clean completely with python3

 -- Scott Kitterman <scott@kitterman.com>  Wed, 23 Feb 2011 08:49:44 -0500

python-ipaddr (2.1.8-1) unstable; urgency=low

  * New upstream release
  * Provide python3-ipaddr from this source using 2to3
    - Add package to debian/control
    - Add X-Python3-Version to debian/control
    - Add python3-all to build-depends
    - Add installation into the correct binaries in debian/rules and run 2to3
      between python and python3 rules
  * Run tests (ipaddr_test.py) during build for each python/python3 version
  * Drop XB-Python-Version and switch XS-Python-Version to X-Python-Version
  * Add Breaks: ${python:Breaks} to python-ipaddr

 -- Scott Kitterman <scott@kitterman.com>  Sun, 13 Feb 2011 16:17:14 -0500

python-ipaddr (2.1.7-1) unstable; urgency=low

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 25 Jan 2011 07:08:30 -0500

python-ipaddr (2.1.5-2) unstable; urgency=low

  * Upload to unstable

 -- Scott Kitterman <scott@kitterman.com>  Mon, 18 Oct 2010 15:35:02 -0400

python-ipaddr (2.1.5-1) experimental; urgency=low

  * New upstream release (upload to experimental due to freeze)
    - Containment test should always return false on mixed-type tests (2.1.5)
    - More invalid IPv6 addresses will be rejected (2.1.4)
  * Drop releasenotes.patch and related packaging changes since this release
    manages to include the release notes in the package
  * Bump standards version to 3.9.1 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 11 Oct 2010 14:47:01 -0400

python-ipaddr (2.1.3-2) unstable; urgency=low

  * Add new RELEASENOTES file in releasenots.patch. (upstream re-released 2.1.3
    with this added in a revised tarball using the same version number)
    - Add debian/docs to install it
    - Add build-dep on quilt (>= 0.46-7)
    - Change debian/rules to build --with quilt

