=== debian/control ===
Source: python-ipaddr
Section: python
Priority: optional
Maintainer: Stefano Rivera <stefanor@debian.org>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools
Standards-Version: 4.5.0
Homepage: https://github.com/google/ipaddr-py
Vcs-Git: https://salsa.debian.org/python-team/modules/python-ipaddr.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-ipaddr
Rules-Requires-Root: no

Package: python3-ipaddr
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python module for working with IP addresses, both IPv4 and IPv6
 This library is used to create/poke/manipulate IPv4 and IPv6 addresses
 and networks in Python.  It is intended to be fast and lightweight.
 .
 This is a pure Python implementation of classes for IPv4/6 addresses and
 networks. It supports comparisons to determine if IP addresses are contained
 inside a defined network, conversion of lists of IP addresses into compact
 CIDR lists, and other IP address manipulation.
 .
 This module was incorporated into python3.3 and later as ipaddress. A direct
 backport of ipaddress is available in Debian as python-ipaddress.  There are
 incompatibilies between the two, so both are provided. This module primarily
 exists to support pip in Python 2.7 virtualenvs.
