=== debian/watch ===
version=3

https://pypi.debian.net/ipaddr/ipaddr-([0-9][0-9\.\-]*).tar.gz debian uupdate
